|  | Home · All Classes · Modules

# QDBusPendingCall Class Reference
[QtDBus module]

The QDBusPendingCall class refers to one pending asynchronous call More...

Inherited by QDBusPendingCallWatcher and QDBusPendingReply.

### Methods

- __init__ (self, QDBusPendingCall other)

### Static Methods

- QDBusPendingCall fromCompletedCall (QDBusMessage message)
- QDBusPendingCall fromError (QDBusError error)

## Detailed Description

The QDBusPendingCall class refers to one pending asynchronous call

A QDBusPendingCall object is a reference to a method call that was sent over D-Bus without waiting for a reply. QDBusPendingCall is an opaque type, meant to be used as a handle for a pending reply.

In most programs, the QDBusPendingCall class will not be used directly. It can be safely replaced with the template-based QDBusPendingReply, in order to access the contents of the reply or wait for it to be complete.

The QDBusPendingCallWatcher class allows one to connect to a signal that will indicate when the reply has arrived or if the call has timed out. It also provides the QDBusPendingCallWatcher.waitForFinished() method which will suspend the execution of the program until the reply has arrived.

Note: If you create a copy of a QDBusPendingCall object, all information will be shared among the many copies. Therefore, QDBusPendingCall is an explicitly-shared object and does not provide a method of detaching the copies (since they refer to the same pending call)

## Method Documentation

### QDBusPendingCall.__init__ (self, QDBusPendingCall other)

Creates a copy of the other pending asynchronous call. Note that both objects will refer to the same pending call.

### QDBusPendingCall QDBusPendingCall.fromCompletedCall (QDBusMessage message)

Creates a QDBusPendingCall object based on the message msg. The message must be of type QDBusMessage.ErrorMessage or QDBusMessage.ReplyMessage (that is, a message that is typical of a completed call).

This function is useful for code that requires simulating a pending call, but that has already finished.

This function was introduced in Qt 4.6.

See also fromError().

### QDBusPendingCall QDBusPendingCall.fromError (QDBusError error)

Creates a QDBusPendingCall object based on the error condition error. The resulting pending call object will be in the "finished" state and QDBusPendingReply.isError() will return true.

This function was introduced in Qt 4.6.

See also fromCompletedCall().